%define name mamory
%define version 0.2.24
%define distsuffix plf
%define release %mkrel 1
%define lib_name_orig lib%{name}
%define lib_major 0.2
%define lib_name %mklibname %{name} %{lib_major}

Summary: A Rom Management CLI
Name: %{name}
Version: %{version}
Release: %{release}

License: GPL
Group: Emulators
Source: http://prdownloads.sourceforge.net/mamory/%{name}-%{version}.tar.bz2
URL: http://mamory.sourceforge.net/
Requires: %{lib_name_orig} = %{version}
BuildRoot: %{_tmppath}/%{name}-%{version}-root

%package -n %lib_name
Summary: A Rom Management Library
Group: Emulators
Provides: %{lib_name} = %{version}-%{release}
Provides: %{lib_name_orig} = %{version}-%{release}
Obsoletes: %{lib_name_orig}
Obsoletes: libmamory0.2.17

%package -n %lib_name-devel
Summary: Devel package for libmamory
Group: Emulators
Requires: %{lib_name} = %{version}
Provides: %{lib_name_orig}-devel = %{version}-%{release}
Provides: %{name}-devel = %{version}-%{release}
Obsoletes: %{lib_name_orig}-devel

%description
The Mamory CLI
This should be the part that most people will be looking for, at least 
until libmamory is used through the graphical user interface of a generic 
roms management application.

Use the Mamory CLI in order to manage a set of roms corresponding 
to any kind of emulators.

This package is in PLF because its use is related to xmame, which is in PLF.

%description -n %lib_name
Mamory is a rom management library.
It allows developpers of emulation related projects to access useful 
functions in order to maintain roms sets.
It's based on the comparison on CRC32, size and name of the roms.
Therefore, it needs a source of informations that describes the roms set 
to maintain.

To demonstrate the functionalities offered by libmamory, Mamory 
is distributed with a command line interface (CLI) called "mamory".

This package is in PLF because its use is related to xmame, which is in PLF.

%description -n %lib_name-devel
Devel package for libmamory

This package is in PLF because its use is related to xmame, which is in PLF.

%prep
%setup -q

%build
%configure
%make

%install
rm -fr %{buildroot}
%makeinstall

%post -p /sbin/ldconfig -n %lib_name

%postun -p /sbin/ldconfig -n %lib_name

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc AUTHORS ChangeLog COPYING INSTALL README TODO
%{_bindir}/%{name}

%files -n %lib_name
%defattr(-,root,root)
%doc README
%{_libdir}/lib%{name}.so.*

%files -n %lib_name-devel
%defattr(-,root,root)
%doc README
%{_libdir}/lib%{name}.a
%{_libdir}/lib%{name}.la
%{_libdir}/lib%{name}.so
%{_includedir}/%{name}/*

%changelog
* Tue Jul 31 2007 Guillaume Bedot <littletux@zarb.org> 0.2.24-1plf2008.0
- 0.2.24

* Tue Mar 27 2007 Guillaume Bedot <littletux@zarb.org> 0.2.23-1plf2007.1
- 0.2.23

* Wed Aug 02 2006 Guillaume Bedot <littletux@zarb.org> 0.2.21-1plf2007.0
- 0.2.21
- standard %%mkrel

* Fri Aug 26 2005 Guillaume Bedot <littletux@zarb.org> 0.2.20-1plf
- Release 0.2.20

* Wed Jun 22 2005 Guillaume Bedot <littletux@zarb.org> 0.2.19-2plf
- use mkrel.

* Sun Apr 03 2005 Guillaume Bedot <littletux@zarb.org> 0.2.19-1plf
- New release 0.2.19

* Mon Mar 14 2005 Guillaume Bedot <littletux@zarb.org> 0.2.18-1plf
- New release 0.2.18
- Dropped outdated patch.

* Fri Jan 07 2005 Guillaume Bedot <littletux@zarb.org> 0.2.17-2plf
- Specs fixes. Forgot to tell about the new ClrMamePro format patch that 
 surely will be useless with 0.2.18 (upstream notified and produced the 
 patch).

* Fri Jan 07 2005 Guillaume Bedot <littletux@zarb.org> 0.2.17-1plf
- First mamory package for plf
